Skip to main content
`Ctrl`+`K`

# SNESPythonGetType

Get the type of a `SNES` object implemented in Python set with `SNESPythonSetType()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESPythonGetType(SNES snes, const char *pyname[])

Not Collective

## Input Parameter

- snes - the nonlinear solver (`SNES`) context.

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCreate()`, `SNESSetType()`, `SNESPYTHON`, `PetscPythonInitialize()`, `SNESPythonSetType()`

## Level

intermediate

## Location

src/snes/impls/python/pythonsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages